From 59b97fe48ff987f4856df04939d016f829a2c54e Mon Sep 17 00:00:00 2001
From: Lee Dong Wook <sh95119@gmail.com>
Date: Tue, 23 Aug 2022 11:50:28 +0900
Subject: [PATCH] pg_checksum: add test for coverage

---
 src/bin/pg_checksums/t/002_actions.pl | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/bin/pg_checksums/t/002_actions.pl b/src/bin/pg_checksums/t/002_actions.pl
index 0309cbbaa330..228fcdd63c59 100644
--- a/src/bin/pg_checksums/t/002_actions.pl
+++ b/src/bin/pg_checksums/t/002_actions.pl
@@ -163,6 +163,16 @@ sub check_relation_corruption
 	[ 'pg_checksums', '-D', $pgdata ],
 	"verifies checksums as default action");
 
+# Checksums are verified if --progress arguments are specified
+command_ok(
+	[ 'pg_checksums', '--progress', '-D', $pgdata ],
+	"verifies checksums as default action with --progress option");
+
+# Checksums are verified if --verbose arguments are specified
+command_ok(
+	[ 'pg_checksums', '--verbose', '-D', $pgdata ],
+	"verifies checksums as default action with --verbose option");
+
 # Specific relation files cannot be requested when action is --disable
 # or --enable.
 command_fails(
